local L = LibStub("AceLocale-3.0"):NewLocale("Battleground", "frFR")
if not L then return end

-- Generic
L["The Horde"] = "La Horde"
L["The Alliance"] = "L'Alliance"

-- Options
L["Battleground"] = "Champ de bataille"
L["You can select where you want messages displayed using the options below."] = "Vous pouvez sélectionnez où les messages seront affichés en utilisant les options ci-dessous."
L["Message Output"] = "Destination des messages"

-- Alterac Valley
L["Iceblood Tower"] = "Tour de Glace-sang"
L["Iceblood Graveyard"] = "Cimetière de Glace-sang"
L["Tower Point"] = "Tour de la halte" -- need check
L["Frostwolf Graveyard"] = "Cimetière Loup-de-givre"
L["East Frostwolf Tower"] = "Tour Loup-de-givre orientale"
L["West Frostwolf Tower"] = "Tour Loup-de-givre occidentale"
L["Frostwolf Relief Hut"] = "Hutte de guérison Loup-de-givre"
L["Coldtooth Mine"] = "Mine de Froide-dent"
L["Stonehearth Bunker"] = "Fortin de Gîtepierre"
L["Stonehearth Graveyard"] = "Cimetière de Gîtepierre"
L["Icewing Bunker"] = "Fortin de l'Aile de glace"
L["Stormpike Graveyard"] = "Cimetière Foudrepique"
L["Dun Baldar North Bunker"] = "Fortin nord de Dun Baldar"
L["Dun Baldar South Bunker"] = "Fortin sud de Dun Baldar"
L["Stormpike Aid Station"] = "Poste de secours Foudrepique"
L["Irondeep Mine"] = "Mine de Gouffrefer"
L["Snowfall Graveyard"] = "Cimetière des neiges"

L["Battleground Start"] = "Début de la bataille"
L["Battleground Elapsed"] = "Temps écoulé"

L["%s has engaged %s."] = "%s a engagé le combat contre %s."
L["%s has reset %s."] = "%s a reset %s."
L["%s has defeated %s."] = "%s a vaincu %s."

L["Captain Balinda Stonehearth"] = "Capitaine Balinda Gîtepierre"
L["Begone, uncouth scum!  The Alliance shall prevail in Alterac Valley!"] = "Arrière, vermine inculte ! L’Alliance triomphera dans la vallée d’Alterac !"
-- L["Filthy Frostwolf cowards! If you want a fight, you'll have to come to me!"] = true

L["Captain Galvangar"] = "Capitaine Galvangar"
L["Die!  Your kind has no place in Alterac Valley!"] = "À mort ! Votre espèce n'a rien à faire dans la vallée d'Alterac !"
L["I'll never fall for that, fool! If you want a battle it will be on my terms and in my lair."] = "Vous comptiez vraiment me faire tomber dans ce piège ? Imbécile ! Si vous voulez le combat, ce sera selon mes termes, et dans mon repaire…"

L["Vanndar Stormpike"] = "Vanndar Foudrepique"
L["Soldiers of Stormpike, your General is under attack! I require aid! Come! Come! Slay these mangy Frostwolf dogs."] = "Soldats Foudrepique, votre général est attaqué ! J’ai besoin d’aide ! Venez ! Venez et tuez ces chiens galeux de Loup-de-givre !"
L["You'll never get me out of me bunker, heathens!"] = "Vous m'ferez jamais sortir d'mon fortin, bande de sauvages !"

L["Drek'Thar"] = "Drek'Thar"
L["Stormpike filth! In my keep?! Slay them all!"] = "Des Foudrepiques ? Dans mon donjon ? Tuez-les tous !"
L["You seek to draw the General of the Frostwolf legion out from his fortress? PREPOSTEROUS!"] = "Vous voulez attirer le général de la légion Loup-de-givre hors de sa forteresse ? RIDICULE !"

L["Herald"] = "Héraut"
L["The Frostwolf General is dead!"] = "Le général Loup-de-givre est mort !"
L["The Stormpike General is dead!"] = "Le général Foudrepique est mort !"

-- Arathi Basin

L["Farm"] = "Ferme"
L["Stables"] = "Ecuries"
L["Blacksmith"] = "Forge"
L["Gold Mine"] = "Mine d'or"
L["Lumber Mill"] = "Scierie"

L["mine"] = "la mine"
L["lumber mill"] = "la scierie"
L["blacksmith"] = "la forge"
L["farm"] = "la ferme"
L["stables"] = "les écuries"

L["Bases: ([0-9]+)  Resources: ([0-9]+)/([0-9]+)"] = "Bases : ([0-9]+)  Ressources : ([0-9]+)/([0-9]+)" -- need check

L["(.+) claims the ([^!]+)"] = "(.+) a pris ([^!]+)"
L["(.+) has assaulted the ([^!]+)"] = "(.+) a attaqué ([^!]+)"
L["has taken the ([^!]+)"] =  "s'est emparée de ([^!]+)"
L["has defended the ([^!]+)"] = "a défendu ([^!]+)"

-- generic for arathi and eots
L["Bases to win: %d"] = "Bases pour gagner : %d"
L["Final Score: %d/%d"] = "Score final : %d/%d"


-- Eye of the Storm

L["Bases: ([0-9]+)  Victory Points: ([0-9]+)/([0-9]+)"] = "Bases : ([0-9]+)  Points de victoire : ([0-9]+)/([0-9]+)" -- need check
L["Mage Tower"] = "Tour des mages"
L["Draenei Ruins"] = "Ruines draeneï"
L["Fel Reaver Ruins"] = "Ruines des saccageurs gangrenés"
L["Blood Elf Tower"] = "Tour des elfes de sang"

-- Isle of Conquest

L["Docks"] = "Docks"
L["Hangar"] = "Hangar"
L["Quarry"] = "Carrière"
L["Refinery"] = "Raffinerie"
L["Workshop"] = "Atelier"
L["Horde Keep"] = "Donjon de la Horde"
L["Alliance Keep"] = "Donjon de l'Alliance"
L["Siege Engine"] = "Engin de siège"

L["oil refinery"] = "la raffinerie"
L["workshop"] = "l'atelier"
L["docks"] = "les docks"
L["hangar"] = "le hangar"
L["quarry"] = "la carrière"
L["refinery"] = "la raffinerie" -- huh ?
L["horde keep"] = "le donjon de la horde"
L["alliance keep"] = "le donjon de l'alliance"

-- L["Gnomish Mechanic"] = true
-- L["See those seaforium bombs? Use them on the gates while I repair the siege engine!"] = true
-- L["I'm halfway there! Keep the Horde away from here.  They don't teach fighting in engineering school!"] = true
-- L["My finest work so far! This siege engine is ready for action!"] = true

L["Goblin Mechanic"] = "Mécano gobelin"
-- L["I'll work on the siege engine, just watch my back.  Use those seaforium bombs on the gates if you need them!"] = true
L["I'm about halfway done! Keep the Alliance away - fighting's not in my contract!"] = "Je dois en être à la moitié ! Tenez l'Alliance à distance. Me battre, c'est pas dans mon contrat !"
-- L["The siege engine is ready to roll!"] = true

L["High Commander Halford Wyrmbane"] = "Haut commandant Halford Verroctone"
-- L["Overlord Agmar"] = true
L["The gates have been breached! Defend the keep!"] = "La porte est tombée ! Défendez le donjon !"
L["%s has breached the %s Keep!"] = "%s a penétré le donjon de %s!" -- need check

L["%s has finished a siege engine."] = "%s a fini un engin de siège."
L["%s has started building a siege engine."] = "%s a commencé à construire un engin de siège."
L["%s is halfway building a siege engine."] = "%s a construit la moitié d'un engin de siège."

L["Horde Gate"] = "Porte de la Horde"
L["Alliance Gate"] = "Porte de l'Alliance"
L["Front Gate"] = "Porte frontale"
L["West Gate"] = "Porte ouest"
L["East Gate"] = "Porte est"
